# ComponentMetadataBuilder

interface ComponentMetadataBuilder

A component metadata builder.

#### Since

4.0

## Functions

attributes
Link copied to clipboard
abstract fun attributes(attributesConfiguration: Action<in AttributeContainer>)
Configures the attributes of this component
getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
Returns the attributes of the component.
setStatus
Link copied to clipboard
abstract fun setStatus(status: String)
Sets the status of this component
setStatusScheme
Link copied to clipboard
abstract fun setStatusScheme(scheme: List<String>)
Sets the status scheme of this component